# $Revision: 1.57 $, $Date: 2012/04/28 09:55:50 $
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		rel	1
%define		pname	ixgbe
Summary:	Intel(R) 10 Gigabit driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) 10 Gigabit
Name:		%{pname}%{_alt_kernel}
Version:	3.9.15
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://downloads.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	24f5a3c93f5ee0232ff69409c2eba08d
URL:		http://sourceforge.net/projects/e1000/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) 10 Gigabit
adapters with 82598EB chipset.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny
Intel(R) 10 Gigabit opartych o układ 82598EB.

%package -n kernel%{_alt_kernel}-net-ixgbe
Summary:	Intel(R) 10 Gigabit driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) 10 Gigabit
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-net-ixgbe
This package contains the Linux driver for the Intel(R) 10 Gigabit
adapters with 82598EB chipset.

%description -n kernel%{_alt_kernel}-net-ixgbe -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny
Intel(R) 10 Gigabit opartych o układ 82598EB.

%prep
%setup -q -n %{pname}-%{version}
cat > src/Makefile <<'EOF'
obj-m := ixgbe.o
ixgbe-objs := ixgbe_main.o ixgbe_common.o ixgbe_api.o ixgbe_param.o \
ixgbe_ethtool.o kcompat.o ixgbe_82598.o ixgbe_82599.o ixgbe_sriov.o \
ixgbe_mbx.o ixgbe_dcb.o ixgbe_dcb_82598.o ixgbe_dcb_82599.o ixgbe_phy.o \
ixgbe_dcb_nl.o

EXTRA_CFLAGS=-DDRIVER_IXGBE
EOF

%build
%build_kernel_modules -C src -m %{pname}

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current
# blacklist kernel module
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'
blacklist ixgbe
alias ixgbe ixgbe-current
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-ixgbe
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-ixgbe
%depmod %{_kernel_ver}

%files	-n kernel%{_alt_kernel}-net-ixgbe
%defattr(644,root,root,755)
%doc ixgbe.7 README
/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ixgbe.spec,v $
Revision 1.57  2012/04/28 09:55:50  baggins
- 3.9.15

Revision 1.56  2012/02/10 11:48:17  lisu
- up to 3.7.21
- unifed URL in Source0

Revision 1.55  2010/11/13 18:06:53  shadzik
- release 3

Revision 1.54  2010/10/08 09:21:53  hawk
- release 2

Revision 1.53  2010/08/29 13:23:00  hawk
- updated to 2.1.4

Revision 1.52  2010/07/06 12:32:13  shadzik
- rel up

Revision 1.51  2010/07/05 20:23:24  shadzik
- rel up

Revision 1.50  2010/07/01 22:49:57  shadzik
- 2.0.84.9

Revision 1.49  2010/06/02 21:20:05  hawk
- updated to 2.0.75.7

Revision 1.48  2010/04/16 11:50:28  hawk
- updated to 2.0.72.4

Revision 1.47  2010/04/11 14:36:34  shadzik
- rel 3

Revision 1.46  2010/03/30 06:41:34  hawk
- release 2

Revision 1.45  2010/02/25 10:43:25  hawk
- updated to 2.0.62.4

Revision 1.44  2009/12/30 13:56:29  hawk
- release 3

Revision 1.43  2009/10/24 11:12:42  hawk
- release 2

Revision 1.42  2009/10/16 19:50:59  hawk
- updated to 2.0.44.14

Revision 1.41  2009/09/24 20:11:16  hawk
- updated to 2.0.44.13

Revision 1.40  2009/09/17 18:59:49  hawk
- release 3

Revision 1.39  2009/08/18 12:20:57  hawk
- release 2

Revision 1.38  2009/08/02 11:18:17  hawk
- updated to 2.0.38.2

Revision 1.37  2009/07/12 17:44:29  hawk
- release 2

Revision 1.36  2009/06/20 17:15:16  hawk
- updated to 2.0.34.3

Revision 1.35  2009/04/22 22:02:20  hawk
- updated md5

Revision 1.34  2009/04/22 21:12:01  hawk
- updated to 1.3.56.17

Revision 1.33  2009/03/17 14:51:33  hawk
- release 2

Revision 1.32  2009/02/25 15:10:00  hawk
- updated to 1.3.56.11

Revision 1.31  2009/02/24 23:09:50  hawk
- release 7

Revision 1.30  2009/02/17 23:49:21  hawk
- release 5

Revision 1.29  2009/02/13 12:59:59  hawk
- release 4

Revision 1.28  2009/02/07 22:34:54  hawk
- release 3

Revision 1.27  2009/02/04 23:28:28  hawk
- release 2

Revision 1.26  2009/01/16 15:45:14  hawk
- updated to 1.3.56.5

Revision 1.25  2009/01/16 09:04:09  hawk
- release 8

Revision 1.24  2008/12/20 14:42:09  hawk
- release 7

Revision 1.23  2008/12/16 09:14:01  hawk
- release 6

Revision 1.22  2008/12/11 20:00:36  gotar
- more specific chipset enumeration

Revision 1.21  2008/12/06 12:27:35  hawk
- release 5

Revision 1.20  2008/11/23 14:15:56  hawk
- release 4

Revision 1.19  2008/11/15 11:28:49  hawk
- release 3

Revision 1.18  2008/11/13 10:06:38  hawk
- release 2

Revision 1.17  2008/10/25 13:51:05  hawk
- updated to 1.3.47

Revision 1.16  2008/10/09 13:22:44  hawk
- release 9

Revision 1.15  2008/09/09 08:59:18  hawk
- release 7

Revision 1.14  2008/09/03 09:42:16  hawk
- release 6

Revision 1.13  2008/08/06 20:19:52  hawk
- release 5

Revision 1.12  2008/08/04 20:21:32  hawk
- release 4

Revision 1.11  2008/07/29 10:38:41  hawk
- relup.sh gone nut, release should be 3

Revision 1.10  2008/07/29 10:31:40  hawk
- release 5

Revision 1.9  2008/07/28 08:31:36  hawk
- release 2

Revision 1.8  2008/07/22 13:20:55  hawk
- updated to 1.3.31.5

Revision 1.7  2008/06/25 16:07:44  hawk
- release 5

Revision 1.6  2008/06/23 19:15:07  hawk
- release 4

Revision 1.5  2008/06/08 16:43:27  hawk
- release 3

Revision 1.4  2008-05-24 10:07:37  hawk
- release 2

Revision 1.3  2008-05-23 08:09:04  hawk
- adapterized

Revision 1.2  2008-05-23 07:59:00  hawk
- fixed summary

Revision 1.1  2008-05-05 15:54:49  hawk
- kernel driver for Intel(R) 10 Gigabit adapters based on 82598 chipset
